import javax.swing.*;
import java.io.*;
import javax.sound.sampled.*;

/** Thread v GUI, ktery se spusti pro ulozeni reci na disk */
public class SpeechSaveThread extends Thread {
 /** veta k proneseni */
 private String s;
 
 /** standardni konstruktor threadu */
 public SpeechSaveThread(String str) {
  super(str);
 }

 /** nastavi vetu k proneseni */
 public void setSentence(String _s) {
  s=_s;
 }

 /** hlavni metoda threadu - zepta se na jmeno souboru a ulozi ho */
 public void run() {
  try {
   JFileChooser fc = new JFileChooser();
   fc.setDialogTitle("Uloit e do jakho souboru? (.wav)");
   fc.setSelectedFile(new File("proslov.wav"));
   int res=fc.showSaveDialog(null);
   if (res==JFileChooser.APPROVE_OPTION) {
    File selFile = fc.getSelectedFile();
    GMain.sp.sayToFile(s,selFile.getAbsolutePath());
    JOptionPane.showMessageDialog(null,"Soubor "+selFile.getName()+" uloen!");
   }
  } catch (Exception e) {
   e.printStackTrace();
  }
 }
}
